# Test code generation

from foo_xrc import *
from wx.tools.XRCed.plugins.xh_gizmos import LEDNumberCtrlXmlHandler

def main():
    app = wx.PySimpleApp()
    get_resources().AddHandler(LEDNumberCtrlXmlHandler())
    # Complete frame loaded from XRC
    frame = xrcFRAME(None)
    frame.Fit()
    frame.Show()
    # Top-level menubar
    menubar = xrcMENUBAR()
    frame2 = wx.Frame(frame, -1, 'Frame 2')
    frame2.SetMenuBar(menubar)
    # Top-level toolbar
    toolbar = xrcTOOLBAR(frame2)
    frame2.SetToolBar(toolbar)
    # Top-level menu
    menu = xrcMENU()
    menubar.Append(menu, 'Other menu')
    # Top-level subclassed object
    panel = get_resources().LoadPanel(frame2, 'PANEL')
    app.frame2 = frame2
    app.MainLoop()

if __name__ == '__main__':
    main()
